#!/bin/bash

# do-all.sh

# Generate scores from MUP sources

#set -x

###############################################################################
# Set up variables                                                            #
###############################################################################

export PS2PDF="ps2pdf -sPAPERSIZE=a4"

###############################################################################
# Main program                                                                #
###############################################################################

#
# Generate scores and parts from mup sources
#

echo Generating vocal score, transposed

mup -D SCORE -f lass-nui.ps lass-nui

echo Generating vocal score, original pitch

mup -D SCORE -D TR -f lass-nui-tr.ps lass-nui

echo Generating recorder score

mup -D SCORE -D TR -D REC -f lass-nui-trr.ps lass-nui

echo Generating Superius part

mup -D PSO -D TR -s 1 -f lass-nui-tr-s.ps lass-nui

mup -D PS -D TR -s 1 -f lass-nui-tr-a.ps lass-nui

echo Generating Contra part

mup -D PAO -D TR -s 2 -f lass-nui-tr-a1.ps lass-nui

mup -D PA -D TR -s 2 -f lass-nui-tr-t1.ps lass-nui

echo Generating Tenor part

mup -D PT -D TR -s 3 -f lass-nui-tr-t2.ps lass-nui

echo Generating Bassus part

mup -D PB -D TR -s 4 -f lass-nui-tr-b.ps lass-nui

#
# Generating MIDIs
#

mup -D SCORE -D TR -m lass-nui-tr.mid lass-nui

#
# Distilling PDF scores and parts
#

echo Distilling scores

$PS2PDF lass-nui.ps
$PS2PDF lass-nui-tr.ps
$PS2PDF lass-nui-trr.ps

echo Distilling parts

$PS2PDF lass-nui-tr-s.ps
$PS2PDF lass-nui-tr-a.ps
$PS2PDF lass-nui-tr-a1.ps
$PS2PDF lass-nui-tr-t1.ps
$PS2PDF lass-nui-tr-t2.ps
$PS2PDF lass-nui-tr-b.ps

#
# Generating mp3 files
#

echo Generating mp3 file

midi2mp3.sh lass-nui-tr.mid

###############################################################################
# Clean up intermediate files                                                 #
###############################################################################

echo cleaning up ...

rm *.ps
